import request from '@/utils/request'

export function getSamplePage(data) {
  return request({
    url: '/js-sample/page',
    method: 'get',
    params: data
  })
}

export function getSampleList(data) {
  return request({
    url: '/js-sample/list',
    method: 'post',
    data: data
  })
}

export function getSampleDetail(data) {
  return  request({
    url: '/js-sample/listById',
    method: 'get',
    params: data
  })
}

export function getSampleNewDetail(data) {
  return request({
    url: '/js-sample/listByProduceName',
    method: 'post',
    data: data
  })
}

export function addSamplePage(data) {
  return request({
    url: '/js-sample/add',
    method: 'post',
    data: data
  })
}

export function editSamplePage(data) {
  return request({
    url: '/js-sample/edit',
    method: 'post',
    data: data
  })
}

export function delSamplePage(data) {
  return request({
    url: '/js-sample/delete',
    method: 'post',
    data: data
  })
}
